#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''Models of quantum processors.'''
from dataclasses import dataclass


@dataclass
class QPU:
    '''QPU properties.'''
    name: str
    code_cycle_duration: float      # in s [for FTQC]
    physical_error: float           # [for FTQC]


superconducting = QPU(
    name='superconducting',
    code_cycle_duration=1e-6,
    physical_error=1e-3
)
